<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

show_title('down.png', 'Загрузки');
$config['newtitle'] = 'Загрузки - Список разделов';

$querydown = DB :: $dbh -> query("SELECT *, (SELECT COUNT(*) FROM `downs` WHERE `downs`.`downs_cats_id` = `cats`.`cats_id` AND `downs`.`downs_time` > ?) AS `new` FROM `cats` ORDER BY `cats_order` ASC;", array(SITETIME-86400 * 5));

$downs = $querydown -> fetchAll();

if (count($downs) > 0) {
  $output = array();

  foreach ($downs as $row) {
    $id = $row['cats_id'];
    $fp = $row['cats_parent'];
    $output[$fp][$id] = $row;
  } 

  echo '<a href="#down"><img src="../images/img/downs.gif" alt="Вниз" /></a> ';

  if (is_user()) {
    echo 'Мои: <a href="active.php?act=scripts&amp;' . SID . '">файлы</a>, <a href="active.php?act=comments&amp;' . SID . '">комментарии</a> / ';
  } 

  echo 'Новые: <a href="new.php?act=scripts&amp;' . SID . '">файлы</a>, <a href="new.php?act=comments&amp;' . SID . '">комментарии</a><hr />';

  $totalnew = DB :: $dbh -> querySingle("SELECT count(*) FROM `downs` WHERE `downs_time`>?;", array (SITETIME-3600 * 120));

  echo '<img src="../images/img/top_dir.gif" alt="image" /> <b><a href="fresh.php?' . SID . '">Свежие загрузки</a></b> (' . $totalnew . ')<br />';

  foreach($output[0] as $key => $data) {
    echo '<img src="../images/img/dir.gif" alt="image" /> ';
    echo '<b><a href="down.php?cid=' . $data['cats_id'] . '&amp;' . SID . '">' . $data['cats_name'] . '</a></b> ';

    if (empty($data['new'])) {
      echo '(' . $data['cats_count'] . ')<br />';
    } else {
      echo '(' . $data['cats_count'] . '/+' . $data['new'] . ')<br />';
    } 
    // ----------------------------------------------------//
    if (isset($output[$key])) {
      echo '<small><b>Подкатегории:</b> ';
      $i = 0;
      foreach($output[$key] as $datasub) {
        if ($i == 0) {
          $comma = '';
        } else {
          $comma = ', ';
        } 
        echo $comma . '<a href="down.php?cid=' . $datasub['cats_id'] . '&amp;' . SID . '">' . $datasub['cats_name'] . '</a>';
        ++$i;
      } 
      echo '</small><br />';
    } 
    // ----------------------------------------------------//
  } 

  echo '<br /><a href="#up"><img src="../images/img/ups.gif" alt="Вверх" /></a> ';
  echo '<a href="top.php?' . SID . '">Топ файлов</a> / ';
  echo '<a href="search.php?' . SID . '">Поиск</a> / ';
  echo '<a href="add.php?' . SID . '">Добавить файл</a><br />';
} else {
  show_error('Разделы загрузок еще не созданы!');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>